<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_69c6236c927b" . "c93c5d0620749" . "67d834d" => base64_decode("cGFnZV" . "92ZXJz" . "aW9u"), "page_" . "id" => base64_decode("cGFnZV" . "9pZA=="), "_1a6a10b" . "d09998ad" . "0ae2a2b4" . "e0fd966e" . "8" => base64_decode("U0NSSVBUX1" . "VSSQ=="), "_2aef71f103069bdb72b57d0b3bd1d29" . "4" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLS" . "BwYWdlIG5vdCBpZGVudGlmaWVk"));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_1a6a10bd09998ad0a" . "e2a2b4e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2aef71f103069bdb72b57" . "d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["page" . "_id"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["page" . "_id"]], $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_69c6236c927bc93c5d" . "062074967d834d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}